# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91.0"
name = "apimock-config"
version = "5.0.1"
authors = ["nabbisen <nabbisen@scqr.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Configuration model for apimock: loading, validation, editing, saving."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/apimokka/apimock-rs"
resolver = "2"

[lib]
name = "apimock_config"
path = "src/lib.rs"

[dependencies.apimock-routing]
version = "5.0.0"

[dependencies.console]
version = "0"

[dependencies.log]
version = "0"

[dependencies.rhai]
version = "1"
features = [
    "sync",
    "serde",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.thiserror]
version = "2"

[dependencies.toml]
version = "1"

[dev-dependencies.tempfile]
version = "3"
